package unicamp.ic.mc336.definitions;

/**
 * Esta interface e um "envelope" onde as classes 
 * que implementam o gato e o pegador devem ser colocadas. Observe que
 * a classe publica do arquivo enviado ao campenoato deve implementar esta
 * interface. <br> Para exemplo onsulte o jogador vazio adicionado a sua area de 
 * trabalho na URL http://mirza.ic.unicamp.br..
 * @author Andre, Ulisses e Zanoni
 */
public interface ContainerInterface {
    /**
     * Metodo utilizado pelo campeonato para obter uma instancia do gato 
     * implementado pelo aluno.
     * @return Instancia valida do gato.
     */
    public PlayerInterface getCatPlayer();
    
    
    /**
     * Metodo utilizado pelo campeonato para obter uma instancia do pegador 
     * implementado pelo aluno.
     * @return Instancia valida do pegador
     */
    public PlayerInterface getCatcherPlayer();
}
