package unicamp.ic.mc336.definitions;

import java.util.Vector;

/**
 * Interface a ser seguida para que o campeonato possa interagir com o jogador.
 * Observe que o aluno deve implementar indiretamente essa classe estendendo 
 * as classes AbstractCatPlayer e AbstractCatcherPlayer
 * @author Andre, Ulisses e Zanoni
 */
public interface PlayerInterface {

    /**
     * Metodo invocado apenas uma vez pelo campeonato, no inicio do jogo, para 
     * informar ao jogador  a configuracao inicial do tabuleiro. O aluno
     * nao podera reescrever esse metodo, analise a documentacao da classe AbstractPlayer para 
     * verificar o codigo atribuido a ele.
     * @param catPosition Posicao inicial do gato
     * @param blockList Lista de posicoes bloqueadas no inicio do jogo
     */
    public void start(Position catPosition, Vector<Position> blockList);

    /**
     * Metodo invocado pelo campeonato para solicitar um movimento. 
     * Observe que o limite de tempo desse metodo e de 1 segundo.<br>
     * O aluno nao podera escrever esse metodo, analise a documentacao das classes 
     * AbstractCatcherPlayer e AbstractCatPlayer para verificar o codigo atribuido a ele.
     * @param LastMove Ultima jogada realizada pelo oponente
     * @return Jogada realizada em resposta ao oponente
     */
    public Position move(Position LastMove);

}
