package unicamp.ic.mc336.definitions;

/**
 * Define uma posicao no tabuleiro.
 * @author Andre, Ulisses e Zanoni
 */
public class Position {

    private int column;
    private int line;

    /**
     * Instancia um objeto Position
     * @param column Coluna
     * @param line Linha
     */
    public Position(int column, int line) {
        this.column = column;
        this.line = line;
    }

    /**
     * Retorna a coluna definida por esta posicao.
     * @return Coluna
     */
    public int getColumn() {
        return column;
    }

    /**
     * Retorna a linha definida por essa posicao.
     * @return Linha
     */
    public int getLine() {
        return line;
    }

    /**
     * Verifica se esta posicao e outra recebida como parametro representam 
     * a mesma posicao do tabuleiro. 
     * @param position
     * @return Se duas posicoes sao iguais ou nao
     */
    public boolean equals(Object position) {
        if (position != null && position instanceof Position) {
            if (this.line == ((Position) position).getLine() && this.column == ((Position) position).getColumn()) {
                return true;
            }
        }
        return false;
    }

    public String toString() {
        return column + "," + line;
    }
}
